/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ICONPLASMOID_HEADER
#define ICONPLASMOID_HEADER


#include <Plasma/Applet>

class IconPlasmoid : public Plasma::Applet
{
    Q_OBJECT
    public:
        IconPlasmoid(QObject *parent, const QVariantList &args);
        ~IconPlasmoid();

        virtual void init();

    public slots:
        void pressed();
};

K_EXPORT_PLASMA_APPLET(iconplasmoid, IconPlasmoid)

#endif
